/* Copyright 2009 Palm, Inc.  All rights reserved. */

var NotesService;
var NotesDb;

/**
 * @author alex
 */
var NotesModel = Class.create
({
    initialize: function()
    {
		this.db = new NotesService();
    },

    setScene: function(scene)	
    {
		this.db.setScene(scene);
    },

    getNotes: function(filterString, offset, count, callback)
    {
        this.db.getNotes(filterString, offset, count, callback);
    },

    loadNote: function(id, callback)
    {
		this.db.getNote(id, callback);
    },

    deleteNote: function(id)
    {
        this.db.deleteNote(id);
    },

    saveNote: function(note, callback)
    {
        this.db.saveNote(note, callback);
    }
});
